<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRegistreAccesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('registre_acces', function (Blueprint $table) {
            $table->increments('id');
            $table->string('matricula');
            $table->string('portal');
            $table->boolean('acces_autoritzat');
            $table->timestamp('data_actualitzacio');
            $table->string('path_imatge');
            $table->boolean('lectura_matricula');
            $table->decimal('confidence', 5, 2);
            $table->timestamp('data_acces');
            $table->integer('camera');
            $table->boolean('sancionat')->default(0);
            $table->softDeletes();
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('registre_acces');
    }
}